package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierRefundListOrderSyncRefundDto struct {
	/*
	   买家id对应的open_uid，加密过     */
	OpenUid *string `json:"open_uid,omitempty" `

	/*
	   skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   扩展属性字段     */
	RefundAttributes *string `json:"refund_attributes,omitempty" `

	/*
	   淘宝主订单号     */
	TbBizParentId *int64 `json:"tb_biz_parent_id,omitempty" `

	/*
	   售卖单位     */
	SaleUnit *string `json:"sale_unit,omitempty" `

	/*
	   库存单位     */
	StockUnit *string `json:"stock_unit,omitempty" `

	/*
	   退款运费     */
	RefundPostFee *int64 `json:"refund_post_fee,omitempty" `

	/*
	   终审退款数量     */
	ActualRefundQuantity *string `json:"actual_refund_quantity,omitempty" `

	/*
	   退货入站数量     */
	ActualPickQuantity *string `json:"actual_pick_quantity,omitempty" `

	/*
	   app,pos     */
	OrderClient *string `json:"order_client,omitempty" `

	/*
	   批次时间     */
	BatchTime *util.LocalTime `json:"batch_time,omitempty" `

	/*
	   淘宝订单号     */
	TbBizOrderId *int64 `json:"tb_biz_order_id,omitempty" `

	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   退款类型     */
	RefundType *int64 `json:"refund_type,omitempty" `

	/*
	   退款时间     */
	RefundTime *util.LocalTime `json:"refund_time,omitempty" `

	/*
	   退款数量     */
	RefundQuantity *string `json:"refund_quantity,omitempty" `

	/*
	   退款单id     */
	RefundOrderId *int64 `json:"refund_order_id,omitempty" `

	/*
	   实际退款金额     */
	RefundAmount *int64 `json:"refund_amount,omitempty" `

	/*
	   拣货库存单位数量     */
	PickAmountStock *string `json:"pick_amount_stock,omitempty" `

	/*
	   盒马主订单号     */
	OriginParentId *int64 `json:"origin_parent_id,omitempty" `

	/*
	   盒马子订单号     */
	OriginOrderId *int64 `json:"origin_order_id,omitempty" `

	/*
	   收银员     */
	OperatorName *string `json:"operator_name,omitempty" `

	/*
	   收银员id     */
	OperatorId *string `json:"operator_id,omitempty" `

	/*
	   购买库存单位数量     */
	BuyAmountStock *string `json:"buy_amount_stock,omitempty" `

	/*
	   外部订单号     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   渠道来源     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   售卖商场code     */
	SourceMerchantCode *string `json:"source_merchant_code,omitempty" `

	/*
	   供应商code     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   外部skucode     */
	OutSkuCode *string `json:"out_sku_code,omitempty" `

	/*
	   refundChannelList     */
	RefundChannelList *[]AlibabaWdkSupplierRefundListOrderSyncRefundChannel `json:"refund_channel_list,omitempty" `

	/*
	   1:售中退款  2:售后退款     */
	DisputeType *int64 `json:"dispute_type,omitempty" `
}

func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOpenUid(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OpenUid = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetSkuCode(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundAttributes(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundAttributes = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetTbBizParentId(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.TbBizParentId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetSaleUnit(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.SaleUnit = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetStockUnit(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.StockUnit = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundPostFee(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundPostFee = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetActualRefundQuantity(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.ActualRefundQuantity = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetActualPickQuantity(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.ActualPickQuantity = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOrderClient(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OrderClient = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetBatchTime(v util.LocalTime) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.BatchTime = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetTbBizOrderId(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.TbBizOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetStoreId(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundType(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundType = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundTime(v util.LocalTime) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundTime = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundQuantity(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundQuantity = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundOrderId(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundAmount(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundAmount = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetPickAmountStock(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.PickAmountStock = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOriginParentId(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OriginParentId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOriginOrderId(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OriginOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOperatorName(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OperatorName = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOperatorId(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OperatorId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetBuyAmountStock(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.BuyAmountStock = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOutOrderId(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetShopId(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOrderFrom(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetSourceMerchantCode(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.SourceMerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetMerchantCode(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetOutSkuCode(v string) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.OutSkuCode = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetRefundChannelList(v []AlibabaWdkSupplierRefundListOrderSyncRefundChannel) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.RefundChannelList = &v
	return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundDto) SetDisputeType(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundDto {
	s.DisputeType = &v
	return s
}
